## dxvk 0.91+ds1

=== debian/changelog ===
dxvk (0.91+ds1-14) unstable; urgency=medium

  * autopkgtest: allow-stderr.

 -- Alexandre Viau <aviau@debian.org>  Wed, 07 Nov 2018 23:18:41 -0500

dxvk (0.91+ds1-13) unstable; urgency=medium

  * dxvk-setup: support scenario where wine64 is installed without
    wine32.
  * dxvk-setup: exit 1 when no action was completed.

 -- Alexandre Viau <aviau@debian.org>  Wed, 07 Nov 2018 10:21:30 -0500

dxvk (0.91+ds1-12) unstable; urgency=medium

  * augopkgtest: depend on wine-development.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Nov 2018 22:02:28 -0500

dxvk (0.91+ds1-11) unstable; urgency=medium

  * reformat test script.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Nov 2018 14:46:45 -0500

dxvk (0.91+ds1-10) unstable; urgency=medium

  * autopkgtest: don't require multi-arch.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Nov 2018 14:28:59 -0500

dxvk (0.91+ds1-9) unstable; urgency=medium

  * autopkgtest: explicitly list all dxvk dependencies.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Nov 2018 12:29:04 -0500

dxvk (0.91+ds1-8) unstable; urgency=medium

  * autopkgtest: ensure that tests use wine-development.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Nov 2018 09:31:23 -0500

dxvk (0.91+ds1-7) unstable; urgency=medium

  * autopkgtest: test custom wineprefix.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Nov 2018 20:27:29 -0500

dxvk (0.91+ds1-6) unstable; urgency=medium

  * autopkgtest: also test uninstall.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Nov 2018 20:24:55 -0500

dxvk (0.91+ds1-5) unstable; urgency=medium

  * autopkgtest: check for symlinks.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Nov 2018 20:10:08 -0500

dxvk (0.91+ds1-4) unstable; urgency=medium

  * Add autopkgtest.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Nov 2018 19:56:23 -0500

dxvk (0.91+ds1-3) unstable; urgency=medium

  * build on more 32bit architectures.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Nov 2018 18:45:07 -0500

dxvk (0.91+ds1-2) unstable; urgency=medium

  * dxvk: set Multi-Arch: foreign.

 -- Alexandre Viau <aviau@debian.org>  Sun, 04 Nov 2018 15:28:29 -0500

dxvk (0.91+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 04 Nov 2018 15:18:34 -0500

dxvk (0.90+ds3-5) unstable; urgency=medium

  * dxvk-setup: default to the installed wine version.

 -- Alexandre Viau <aviau@debian.org>  Fri, 02 Nov 2018 19:50:33 -0400

dxvk (0.90+ds3-4) unstable; urgency=medium

  * d/control: specify build dependencies per architecture.

 -- Alexandre Viau <aviau@debian.org>  Thu, 01 Nov 2018 17:44:03 -0400

dxvk (0.90+ds3-3) unstable; urgency=medium

  * dxvk-setup: improve wine32 support.
  * dxvk-setup: remove unused quiet variable.
  * d/control: bump standards-version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 21 Oct 2018 13:53:02 -0400

dxvk (0.90+ds3-2) unstable; urgency=medium

  * d/control: recommend dxvk in dxvk-wine* packages.
  * Ship dxvk-setup script.
  * d/control: mention dxvk-setup in dxvk's description.

 -- Alexandre Viau <aviau@debian.org>  Sun, 21 Oct 2018 12:24:09 -0400

dxvk (0.90+ds3-1) unstable; urgency=medium

  * Initial release. (Closes: #911195)

 -- Alexandre Viau <aviau@debian.org>  Thu, 18 Oct 2018 18:11:27 -0400

## dxvk 0.93+ds1

=== debian/changelog ===
dxvk (0.93+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 24 Nov 2018 12:42:08 -0500

dxvk (0.92+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 11 Nov 2018 13:29:17 -0500

## dxvk 0.95+ds1

=== debian/changelog ===
dxvk (0.95+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 12 Jan 2019 19:28:29 -0500

dxvk (0.94+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 15 Dec 2018 13:02:25 -0500

## dxvk 0.96+ds1

=== meson_options.txt ===
option('enable_tests', type : 'boolean', value : false)

=== debian/changelog ===
dxvk (0.96+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 26 Jan 2019 23:21:44 -0500

=== debian/control ===
Source: dxvk
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               glslang-tools,
               meson,
               ninja-build,
               wine64-development-tools [amd64 arm64],
               wine32-development-tools [any-i386 any-powerpc armel armhf],
Standards-Version: 4.2.1
Homepage: https://github.com/doitsujin/dxvk
Vcs-Browser: https://salsa.debian.org/aviau/dxvk
Vcs-Git: https://salsa.debian.org/aviau/dxvk.git

Package: dxvk
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dxvk-wine64-development (>= ${source:Version}) | dxvk-wine32-development (>= ${source:Version}),
Recommends: dxvk-wine32-development,
            dxvk-wine64-development,
Description: Vulkan-based translation layer for Direct3D 10/11
 DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 11_1, and
 D3D10, feature level 10_1.
 .
 This package contains the dxvk-setup script that configures
 or removes DXVK from a Wine prefix.

Package: dxvk-wine32-development
Architecture: any-i386 any-powerpc armel armhf
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 10/11 - wine32 build
 DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 11_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine32-development build.

Package: dxvk-wine64-development
Architecture: amd64 arm64
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 10/11 - wine64 build
 DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 11_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine64-development build.

## dxvk 1.5.4%2Bds1

=== debian/changelog ===
dxvk (1.5.4+ds1-2~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Fri, 28 Feb 2020 11:45:23 -0500

dxvk (1.5.4+ds1-2) unstable; urgency=medium

  * Tests: check for d3d9.dll.

 -- Alexandre Viau <aviau@debian.org>  Sun, 09 Feb 2020 20:37:54 -0500

dxvk (1.5.4+ds1-1) unstable; urgency=medium

  * New upstream version.
  * dxvk-setup: install d3d9 dll.

 -- Alexandre Viau <aviau@debian.org>  Sun, 09 Feb 2020 17:19:17 -0500

dxvk (1.4.6+ds1-2) unstable; urgency=medium

  * Only support amd64 and any-i386.

 -- Alexandre Viau <aviau@debian.org>  Thu, 16 Jan 2020 11:20:02 -0500

dxvk (1.4.6+ds1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Dec 2019 18:19:14 -0500

dxvk (1.4.3+ds1-2) unstable; urgency=medium

  * setup-dxvk: Echo errors to stderr.
  * Install 32bit libs in 64bit prefixes. (Closes: #925563)

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Dec 2019 17:13:19 -0500

dxvk (1.4.3+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh dxvk-version.patch.

 -- Alexandre Viau <aviau@debian.org>  Fri, 25 Oct 2019 17:18:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 11),
                glslang-tools,
                meson,
                ninja-build,
-               wine64-development-tools [amd64 arm64],
-               wine32-development-tools [any-i386 any-powerpc armel armhf],
+               wine64-development-tools [amd64],
+               wine32-development-tools [any-i386],
 Standards-Version: 4.2.1
 Homepage: https://github.com/doitsujin/dxvk
 Vcs-Browser: https://salsa.debian.org/aviau/dxvk
@@ -33,7 +34,7 @@
  or removes DXVK from a Wine prefix.
 
 Package: dxvk-wine32-development
-Architecture: any-i386 any-powerpc armel armhf
+Architecture: any-i386
 Multi-Arch: foreign
 Recommends: dxvk
 Depends: ${shlibs:Depends},
@@ -48,7 +49,7 @@
  This package contains the wine32-development build.
 
 Package: dxvk-wine64-development
-Architecture: amd64 arm64
+Architecture: amd64
 Multi-Arch: foreign
 Recommends: dxvk
 Depends: ${shlibs:Depends},

## dxvk 1.5.4+ds1

=== meson_options.txt ===
option('enable_tests', type : 'boolean', value : false)
option('enable_dxgi',  type : 'boolean', value : true, description: 'Build DXGI')
option('enable_d3d9',  type : 'boolean', value : true, description: 'Build D3D9')
option('enable_d3d10', type : 'boolean', value : true, description: 'Build D3D10')
option('enable_d3d11', type : 'boolean', value : true, description: 'Build D3D11')

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 11),
                glslang-tools,
                meson,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Select winebuild-development
export WINEBUILD := /usr/bin/winebuild-development

# 32 or 64
DEB_BUILD_ARCH_BITS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

# The name of the build-*.txt profile to choose
BUILD_NAME = wine$(DEB_BUILD_ARCH_BITS)

# The directory in which we will build
BUILD_DIR   = build-$(BUILD_NAME)

# DEST_DIR is what we install to /usr/lib/dxvk
DEST_DIR    = dxvk
INSTALL_DIR = $(CURDIR)/$(DEST_DIR)/$(BUILD_NAME)-development

# Meson flags
MESON_FLAGS = --buildtype release \
               --cross-file build-$(BUILD_NAME).txt \
               --prefix $(INSTALL_DIR) \
               --bindir . \
               --libdir . \
               $(BUILD_DIR)

override_dh_auto_configure:
	echo "MESON_FLAGS: $(MESON_FLAGS)"
	meson $(MESON_FLAGS)

override_dh_auto_build:
	ninja -v -C $(BUILD_DIR)

override_dh_auto_install:
	ninja -v -C $(BUILD_DIR) install

override_dh_auto_clean:
	rm -rf $(BUILD_DIR)
	rm -rf $(DEST_DIR)

override_dh_shlibdeps:
	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development

=== debian/tests/control ===
Tests: check-dxvk-setup
Depends: @, wine-development
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dxvk-\$1\.tar\.gz/,\
repacksuffix=+ds1,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/doitsujin/dxvk/tags .*/v?(\d\S*)\.tar\.gz

## dxvk 1.8.1+ds1

=== debian/changelog ===
dxvk (1.8.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Enable stackprotector hardening.
  * Fixed autopkgtest.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 09 Mar 2021 20:19:13 +0900

dxvk (1.7.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 09 Dec 2020 06:06:19 +0900

dxvk (1.7.2+ds1-4) unstable; urgency=medium

  * Pass the proper wine libdir to the build.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 01 Dec 2020 23:05:33 +0900

dxvk (1.7.2+ds1-3) unstable; urgency=medium

  * Match architectures with those supported by wine-development.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 01 Dec 2020 18:46:26 +0900

dxvk (1.7.2+ds1-2) unstable; urgency=medium

  * Pass dpkg-buildflags to Meson.
  * Fix dxvk-setup to work on path containing spaces (thanks to
    Guillaume Charifi).
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Bump watch version to 4.
  * Update patches metadata.
  * Add lintian override for maintainer-manual-page for Debian-specific
    version of dxvk-setup.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 10 Nov 2020 17:34:50 +0900

dxvk (1.7.2+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: #952966, #954539).
  * Adapt to build using mingw as is done upstream now.
  * Add myself to uploaders (with maintainer's consent).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 21 Oct 2020 12:29:37 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Alexandre Viau <aviau@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Build-Depends: debhelper-compat (= 13),
                glslang-tools,
                meson,
                ninja-build,
-               wine64-development-tools [amd64],
-               wine32-development-tools [any-i386],
-Standards-Version: 4.2.1
+               libwine-development-dev,
+               binutils-mingw-w64-x86-64 [amd64 arm64],
+               binutils-mingw-w64-i686 [i386 armel armhf],
+               g++-mingw-w64-x86-64-posix [amd64 arm64],
+               g++-mingw-w64-i686-posix [i386 armel armhf],
+               rename,
+Standards-Version: 4.5.0
 Homepage: https://github.com/doitsujin/dxvk
 Vcs-Browser: https://salsa.debian.org/aviau/dxvk
 Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
+Rules-Requires-Root: no
 
 Package: dxvk
 Section: utils
@@ -33,7 +39,7 @@
  or removes DXVK from a Wine prefix.
 
 Package: dxvk-wine32-development
-Architecture: any-i386
+Architecture: i386 armel armhf
 Multi-Arch: foreign
 Recommends: dxvk
 Depends: ${shlibs:Depends},
@@ -48,7 +54,7 @@
  This package contains the wine32-development build.
 
 Package: dxvk-wine64-development
-Architecture: amd64
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Recommends: dxvk
 Depends: ${shlibs:Depends},

## dxvk 1.9.1+ds1

=== debian/changelog ===
dxvk (1.9.1+ds1-1ubuntu1) impish; urgency=medium

  * Adjust test dependencies so that the correct packages are
    installed when testing in an i386 chroot on an amd64 host

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Sep 2021 13:26:21 +0000

dxvk (1.9.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 03 Aug 2021 19:21:49 +0900

dxvk (1.9+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Fix dxvk-setup override apply/restore.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 22 Jul 2021 15:41:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),
                glslang-tools,

## dxvk 1.9.2%2Bds1

=== debian/changelog ===
dxvk (1.9.2+ds1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 12 Oct 2021 12:10:09 -0400

dxvk (1.9.2+ds1-1) unstable; urgency=medium

  * NUR.
  * Adapt c_link_args and cpp_link_args for new Meson version.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 28 Sep 2021 19:39:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Select winebuild-development
export WINEBUILD := /usr/bin/winebuild-development

# 32 or 64
DEB_BUILD_ARCH_BITS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

# The name of the build-*.txt profile to choose
BUILD_NAME = win$(DEB_BUILD_ARCH_BITS)

# The directory in which we will build
BUILD_DIR   = build-$(BUILD_NAME)

# DEST_DIR is what we install to /usr/lib/dxvk
DEST_DIR    = dxvk
INSTALL_DIR = $(CURDIR)/$(DEST_DIR)/wine$(DEB_BUILD_ARCH_BITS)-development

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export CFLAGS_MESON := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS_MESON := $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS_MESON := $(shell dpkg-buildflags --get CXXFLAGS)
# disabled, fails with: unrecognized option '-z'
#export LDFLAGS_MESON=$(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS=

# disabled, even with workarounds it does not work
# see https://sourceware.org/bugzilla/show_bug.cgi?id=12762
#ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
#  CFLAGS_MESON += -flto
#  CPPFLAGS_MESON += -flto
#  CXXFLAGS_MESON += -flto
#  LDFLAGS_MESON += -flto -fuse-linker-plugin -Wl,-allow-multiple-definition -flto-partition=none
#endif

# prepare replacement
CFLAGS_MESON := $(shell echo $(CFLAGS_MESON) | sed -r "s/ ?([^ ]+)/, '\1'/g")
CPPFLAGS_MESON := $(shell echo $(CPPFLAGS_MESON) | sed -r "s/ ?([^ ]+)/, '\1'/g")
CXXFLAGS_MESON := $(shell echo $(CXXFLAGS_MESON) | sed -r "s/ ?([^ ]+)/, '\1'/g")
#LDFLAGS_MESON := $(shell echo $(LDFLAGS_MESON) | sed -r "s/ ?([^ ]+)/, '\1'/g")

DEB_BUILD_MULTIARCH=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

# Meson flags
MESON_FLAGS = --buildtype release \
               --cross-file build-$(BUILD_NAME).txt.gen \
               --prefix $(INSTALL_DIR) \
               --bindir . \
               --libdir . \
               -Dwine_libdir=/usr/lib/$(DEB_BUILD_MULTIARCH)/wine-development/ \
               $(BUILD_DIR)

override_dh_auto_configure:
	echo "blhc: ignore-line-regexp: C\+\+ linker for the build machine: .*"
	echo "MESON_FLAGS: $(MESON_FLAGS)"
	cat build-$(BUILD_NAME).txt | envsubst >build-$(BUILD_NAME).txt.gen
	meson $(MESON_FLAGS)

override_dh_auto_build:
	ninja -v -C $(BUILD_DIR)

override_dh_auto_install:
	ninja -v -C $(BUILD_DIR) install
	# we could change the install script but then the previous installations would be broken
	rename 's/\.dll$$/.dll.so/' $(INSTALL_DIR)/*.dll

override_dh_auto_clean:
	rm -rf $(BUILD_DIR)
	rm -rf $(DEST_DIR)
	rm -f build-$(BUILD_NAME).txt.gen

override_dh_shlibdeps:
	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development

=== debian/tests/control ===
Tests: check-dxvk-setup
Depends: @, wine-development, xvfb, xauth
Restrictions: allow-stderr

## dxvk 1.9.4+ds1

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 option('enable_d3d9',  type : 'boolean', value : true, description: 'Build D3D9')
 option('enable_d3d10', type : 'boolean', value : true, description: 'Build D3D10')
 option('enable_d3d11', type : 'boolean', value : true, description: 'Build D3D11')
+option('build_id',     type : 'boolean', value : false)

=== debian/changelog ===
dxvk (1.9.4+ds1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Adjust test dependencies so that the correct packages are
      installed when testing in an i386 chroot on an amd64 host

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Feb 2022 14:57:45 +0000

dxvk (1.9.4+ds1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 25 Jan 2022 16:36:28 +0900

dxvk (1.9.3+ds1-1) unstable; urgency=medium

  * Update descriptions to include D3D9 (courtesy of Adrian Heine).
  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 12 Jan 2022 11:54:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),
@@ -29,8 +29,8 @@
          dxvk-wine64-development (>= ${source:Version}) | dxvk-wine32-development (>= ${source:Version}),
 Recommends: dxvk-wine32-development,
             dxvk-wine64-development,
-Description: Vulkan-based translation layer for Direct3D 10/11
- DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
+Description: Vulkan-based translation layer for Direct3D 9/10/11
+ DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
  DXVK aims to provide support for D3D11, feature level 11_1, and
@@ -45,8 +45,8 @@
 Recommends: dxvk
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Vulkan-based translation layer for Direct3D 10/11 - wine32 build
- DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
+Description: Vulkan-based translation layer for Direct3D 9/10/11 - wine32 build
+ DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
  DXVK aims to provide support for D3D11, feature level 11_1, and
@@ -60,8 +60,8 @@
 Recommends: dxvk
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Vulkan-based translation layer for Direct3D 10/11 - wine64 build
- DXVK is a Vulkan-based translation layer for Direct3D 10/11 which
+Description: Vulkan-based translation layer for Direct3D 9/10/11 - wine64 build
+ DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
  DXVK aims to provide support for D3D11, feature level 11_1, and

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 # Select winebuild-development
 export WINEBUILD := /usr/bin/winebuild-development

=== debian/tests/control ===
Tests: check-dxvk-setup
Depends: dxvk,
         dxvk-wine64-development [amd64],
         dxvk-wine32-development [i386],
         wine-development,
         wine64-development [amd64],
         wine32-development [i386],
         xvfb,
         xauth
Restrictions: allow-stderr

## dxvk 1.10.3+ds1

=== debian/changelog ===
dxvk (1.10.3+ds1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 08 Aug 2022 10:12:47 +0900

dxvk (1.10.1+ds1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Fix build-wine.patch breaking library lookup and remove now useless
    CreateDXGIFactory1_link_fix.patch.
  * Improve build flags handling.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Enable cross-test-friendly autopkgtest deps (courtesy of Graham
    Inggs) (Closes: #1005883).
  * Use debhelper's Ninja support (Meson would be better but lacks cross
    build customization).
  * Depend on mingw-w64 gcc instead of binutils directly.
  * Ignore no-code-sections lintian error.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 02 May 2022 18:58:20 +0900

dxvk (1.10+ds1-1) unstable; urgency=medium

  * NUR.
  * Fix build/host confusion breaking cross builds (courtesy of Helmut
    Grohne) (Closes: #977821).
  * Update copyright file.
  * Adapt Wine library lookup to new subdirectories introduced in 6.8.
  * Add patch to fix CreateDXGIFactory1 link problem.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 30 Mar 2022 15:10:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Alexandre Viau <aviau@debian.org>
 Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),
                glslang-tools,
                meson,
                ninja-build,
                libwine-development-dev,
-               binutils-mingw-w64-x86-64 [amd64 arm64],
-               binutils-mingw-w64-i686 [i386 armel armhf],
+               gcc-mingw-w64-x86-64-posix [amd64 arm64],
+               gcc-mingw-w64-i686-posix [i386 armel armhf],
                g++-mingw-w64-x86-64-posix [amd64 arm64],
                g++-mingw-w64-i686-posix [i386 armel armhf],
                rename,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/doitsujin/dxvk
 Vcs-Browser: https://salsa.debian.org/aviau/dxvk
 Vcs-Git: https://salsa.debian.org/aviau/dxvk.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# The name of the build-*.txt profile to choose
BUILD_NAME = win$(DEB_HOST_ARCH_BITS)

# The directory in which we will build
BUILD_DIR   = build-$(BUILD_NAME)

%:
	dh $@ --buildsystem=ninja --builddirectory=$(BUILD_DIR)

# fails with: unrecognized option '-z'
export DEB_BUILD_MAINT_OPTIONS := hardening=-relro

# disabled, even with workarounds it does not work
# see https://sourceware.org/bugzilla/show_bug.cgi?id=12762
# LDFLAGS += -flto -fuse-linker-plugin -Wl,-allow-multiple-definition -flto-partition=none

# Meson flags
# TODO: why do dll files end-up in the bindir directory???
MESON_FLAGS = --buildtype=plain \
               --cross-file=build-$(BUILD_NAME).txt \
			   --prefix=/usr \
			   --bindir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
			   --libdir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
               -Dwine_libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development/$(subst linux-gnu,windows,$(DEB_HOST_MULTIARCH))/ \
               $(BUILD_DIR)

override_dh_auto_configure:
	echo "blhc: ignore-line-regexp: C\+\+ linker for the build machine: .*"
	echo "MESON_FLAGS: $(MESON_FLAGS)"
	meson $(MESON_FLAGS)

execute_after_dh_auto_install:
	# we could change the install script but then the previous installations would be broken
	rename 's/\.dll$$/.dll.so/' debian/tmp/usr/lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development/*.dll

override_dh_shlibdeps:
	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development

## dxvk 2.1

=== debian/changelog ===
dxvk (2.1-1) unstable; urgency=medium

  * NUR:
    - refresh patches
    - bundle DXVK's author's libdisplay-info fork
      (until we can use the original project)
      (with a make target to regenerate the tarball)
    - add symlink for vk_video include files

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 07 Feb 2023 23:13:17 +0900

dxvk (2.0-1) unstable; urgency=medium

  * NUR.
  * Adapt to 2.0 buildsystem changes
  * Update copyright information.
  * Enable LTO.
  * Strip DLLs and move debug info in a debsym package (Closes:
    #975475).
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 20 Dec 2022 21:44:16 +0900

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
                meson,
                ninja-build,
                libwine-development-dev,
+               libvulkan-dev,
+               spirv-headers,
                gcc-mingw-w64-x86-64-posix [amd64 arm64],
                gcc-mingw-w64-i686-posix [i386 armel armhf],
                g++-mingw-w64-x86-64-posix [amd64 arm64],
                g++-mingw-w64-i686-posix [i386 armel armhf],
                rename,
-Standards-Version: 4.6.0
+               llvm,
+Standards-Version: 4.6.2
 Homepage: https://github.com/doitsujin/dxvk
 Vcs-Browser: https://salsa.debian.org/aviau/dxvk
 Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
@@ -67,3 +70,4 @@
  D3D10, feature level 10_1.
  .
  This package contains the wine64-development build.
+

## dxvk 2.3

=== debian/changelog ===
dxvk (2.3-1deepin1) unstable; urgency=medium

  * Add support for deepin-wine8-stable

 -- Archie Meng <mengyutao@deepin.org>  Fri, 22 Dec 2023 16:28:24 +0800

dxvk (2.3-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 10 Nov 2023 03:44:17 +0900

dxvk (2.2-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 14 Jun 2023 15:09:40 +0900

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# The name of the build-*.txt profile to choose
BUILD_NAME = win$(DEB_HOST_ARCH_BITS)

# The directory in which we will build
BUILD_DIR   = build-$(BUILD_NAME)

%:
	dh $@ --buildsystem=ninja --builddirectory=$(BUILD_DIR)

# fails with: unrecognized option '-z'
export DEB_BUILD_MAINT_OPTIONS := hardening=-relro

LDFLAGS += -flto -Wl,--build-id

# Meson flags
# TODO: why do dll files end-up in the bindir directory???
MESON_FLAGS = --buildtype=plain \
               --cross-file=build-$(BUILD_NAME).txt \
			   --prefix=/usr \
			   --bindir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
			   --libdir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
               $(BUILD_DIR)

override_dh_auto_configure:
	echo "blhc: ignore-line-regexp: C\+\+ linker for the build machine: .*"

	mkdir -p include/vulkan/include include/spirv/include
	# DXVK 2.0 now links to vulkan and spirv headers using submodules
	# add temporary symlinks to use packaged headers instead
	ln -s /usr/include/vulkan include/vulkan/include/vulkan
	ln -s /usr/include/vk_video include/vulkan/include/vk_video
	ln -s /usr/include/spirv include/spirv/include/spirv
	# DXVK 2.1 now embeds libdisplay-info
	# TODO: use libdisplay-info-src instead when no need for the fork
	#ln -s /usr/src/libdisplay-info-src subprojects/libdisplay-info
	tar xf debian/vendor.xz

	echo "MESON_FLAGS: $(MESON_FLAGS)"
	meson setup $(MESON_FLAGS)

execute_after_dh_auto_install:
	# we could change the install script but then the previous installations would be broken
	rename 's/\.dll$$/.dll.so/' debian/tmp/usr/lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development/*.dll

override_dh_strip:
	# strip debug info out of ddls and store it in a separate debug file
	# (dh_strip for windows)
	./debian/strip_debug.sh dxvk-wine$(DEB_HOST_ARCH_BITS)-development
	# call dh_strip to create the doc directory
	dh_strip

override_dh_shlibdeps:
	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development

execute_after_dh_clean:
	rm -rf include/vulkan include/spirv subprojects



vendor:
	rm -rf subprojects
	mkdir subprojects/
	git clone -b windows https://gitlab.freedesktop.org/JoshuaAshton/libdisplay-info.git subprojects/libdisplay-info
	rm -rf subprojects/*/.git*
	tar cvJf debian/vendor.xz subprojects
	rm -rf subprojects

## dxvk 2.3.1

=== debian/changelog ===
dxvk (2.3.1-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 08 May 2024 18:37:24 +0900

## dxvk 2.4

=== debian/changelog ===
dxvk (2.4-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * Update supported D3D features in description.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 12 Jul 2024 02:48:33 +0900

## dxvk 2.4.1

=== debian/changelog ===
dxvk (2.4.1-1) unstable; urgency=medium

  * NUR.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 24 Oct 2024 12:05:09 +0900

dxvk (2.4-2) unstable; urgency=medium

  [Emanuele Rocca]
  * Use amd64 CFLAGS when building on arm64 (Closes: #1073188).
  * Use x86_64-w64-mingw32-objcopy on arm64.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 17 Jul 2024 11:12:52 +0900

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                g++-mingw-w64-i686-posix [i386 armel armhf],
                rename,
                llvm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/doitsujin/dxvk
 Vcs-Browser: https://salsa.debian.org/aviau/dxvk
 Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
@@ -31,11 +31,11 @@
          dxvk-wine64-development (>= ${source:Version}) | dxvk-wine32-development (>= ${source:Version}),
 Recommends: dxvk-wine32-development,
             dxvk-wine64-development,
-Description: Vulkan-based translation layer for Direct3D 9/10/11
- DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
+Description: Vulkan-based translation layer for Direct3D 8/9/10/11
+ DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
- DXVK aims to provide support for D3D11, feature level 11_1, and
+ DXVK aims to provide support for D3D11, feature level 12_1, and
  D3D10, feature level 10_1.
  .
  This package contains the dxvk-setup script that configures
@@ -47,11 +47,11 @@
 Recommends: dxvk
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Vulkan-based translation layer for Direct3D 9/10/11 - wine32 build
- DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
+Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine32 build
+ DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
- DXVK aims to provide support for D3D11, feature level 11_1, and
+ DXVK aims to provide support for D3D11, feature level 12_1, and
  D3D10, feature level 10_1.
  .
  This package contains the wine32-development build.
@@ -62,11 +62,11 @@
 Recommends: dxvk
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Vulkan-based translation layer for Direct3D 9/10/11 - wine64 build
- DXVK is a Vulkan-based translation layer for Direct3D 9/10/11 which
+Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine64 build
+ DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
  allows running 3D applications on Linux using Wine.
  .
- DXVK aims to provide support for D3D11, feature level 11_1, and
+ DXVK aims to provide support for D3D11, feature level 12_1, and
  D3D10, feature level 10_1.
  .
  This package contains the wine64-development build.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 
 # fails with: unrecognized option '-z'
 export DEB_BUILD_MAINT_OPTIONS := hardening=-relro
+
+ifeq ($(DEB_TARGET_ARCH),arm64)
+	CFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CFLAGS)
+	CXXFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CXXFLAGS)
+endif
 
 LDFLAGS += -flto -Wl,--build-id

## dxvk 2.5.1

=== debian/changelog ===
dxvk (2.5.1-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * NUR.
  * Switch to using stable wine and rename packages
    (Closes: #982159, #1077188).
  * Add build improvements from Guillem Jover and implemented by Emanuele
    Rocca (Closes: #1076580).
  * Rework dxvk-setup:
    - reimplement wine binary path detection
    - add options for upstream packages
    - adapt to changes in wine Debian packaging (Closes: #1029811)

  [ Emanuele Rocca ]
  * Use amd64 CFLAGS on all 64 bit architectures, i386 on 32 bits.
  * Use x86_64-w64-mingw32-objcopy on all 64 bit architectures,
    i686-w64-mingw32-objcopy on 32 bits.
  * Do not override DEB_HOST_GNU_CPU in d/strip_debug.sh, use a new variable
    instead.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 19 Nov 2024 21:40:16 +0900

dxvk (2.5-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 12 Nov 2024 11:48:13 +0900

## dxvk 2.5.3

=== debian/changelog ===
dxvk (2.5.3-1) unstable; urgency=medium

  * NUR:
    - refresh patches

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 30 Jan 2025 15:34:26 +0900

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,14 @@
 # fails with: unrecognized option '-z'
 export DEB_BUILD_MAINT_OPTIONS := hardening=-relro
 
-ifeq ($(DEB_TARGET_ARCH),arm64)
+# Use amd64 build flags when building the package on 64 bit architectures, i386
+# otherwise
+ifeq ($(DEB_HOST_ARCH_BITS),64)
 	CFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CFLAGS)
 	CXXFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CXXFLAGS)
+else
+	CFLAGS = $(shell dpkg-architecture -ai386 -f -c dpkg-buildflags --get CFLAGS)
+	CXXFLAGS = $(shell dpkg-architecture -ai386 -f -c dpkg-buildflags --get CXXFLAGS)
 endif
 
 LDFLAGS += -flto -Wl,--build-id
@@ -26,8 +31,8 @@
 MESON_FLAGS = --buildtype=plain \
                --cross-file=build-$(BUILD_NAME).txt \
 			   --prefix=/usr \
-			   --bindir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
-			   --libdir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development \
+			   --bindir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS) \
+			   --libdir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS) \
                $(BUILD_DIR)
 
 override_dh_auto_configure:
@@ -49,17 +54,17 @@
 
 execute_after_dh_auto_install:
 	# we could change the install script but then the previous installations would be broken
-	rename 's/\.dll$$/.dll.so/' debian/tmp/usr/lib/dxvk/wine$(DEB_HOST_ARCH_BITS)-development/*.dll
+	rename 's/\.dll$$/.dll.so/' debian/tmp/usr/lib/dxvk/wine$(DEB_HOST_ARCH_BITS)/*.dll
 
 override_dh_strip:
 	# strip debug info out of ddls and store it in a separate debug file
 	# (dh_strip for windows)
-	./debian/strip_debug.sh dxvk-wine$(DEB_HOST_ARCH_BITS)-development
+	./debian/strip_debug.sh dxvk-wine$(DEB_HOST_ARCH_BITS)
 	# call dh_strip to create the doc directory
 	dh_strip
 
 override_dh_shlibdeps:
-	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine-development
+	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine
 
 execute_after_dh_clean:
 	rm -rf include/vulkan include/spirv subprojects

## dxvk 2.6+ds

=== debian/changelog ===
dxvk (2.6+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Re-import upstream source with its required vendored subprojects
    - d/watch: Fetch vendored libdisplay-info as a second .orig tarball
    - d/watch: Fetch vendored MinGW DirectX headers as another orig
      tarball, which is not yet needed but will be required for DXVK Native
      (see #1072114)
    - d/gbp.conf: Import multiple .orig tarballs
    - d/rules: Use the multiple .orig tarballs for the vendored
      subprojects.
      dpkg-source can only unpack them at the top level, but the dxvk
      build system expects to find libdisplay-info in subprojects/ and
      the MinGW DirectX headers in include/native/directx/, so we still
      need some symlinks.
    - d/copyright: Add copyright/licensing for the libdisplay-info fork
    - d/copyright: Add copyright/licensing for mingw-directx-headers
  * d/.gitignore: Add

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 03 Apr 2025 21:52:19 +0900

dxvk (2.6-1) unstable; urgency=medium

  * NUR:
    - refresh patches
  * dxvk-setup: add fallback for 64 bit install in case there is a
    single binary
  * autopkgtest: stop wineserver before final cleanup.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 24 Mar 2025 03:49:02 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                glslang-tools,
                meson,
                ninja-build,
-               libwine-development-dev,
+               libwine-dev,
                libvulkan-dev,
                spirv-headers,
                gcc-mingw-w64-x86-64-posix [amd64 arm64],
@@ -28,9 +28,9 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         dxvk-wine64-development (>= ${source:Version}) | dxvk-wine32-development (>= ${source:Version}),
-Recommends: dxvk-wine32-development,
-            dxvk-wine64-development,
+         dxvk-wine64 (>= ${source:Version}) | dxvk-wine32 (>= ${source:Version}),
+Recommends: dxvk-wine32,
+            dxvk-wine64,
 Description: Vulkan-based translation layer for Direct3D 8/9/10/11
  DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
  allows running 3D applications on Linux using Wine.
@@ -41,7 +41,7 @@
  This package contains the dxvk-setup script that configures
  or removes DXVK from a Wine prefix.
 
-Package: dxvk-wine32-development
+Package: dxvk-wine32
 Architecture: i386 armel armhf
 Multi-Arch: foreign
 Recommends: dxvk
@@ -54,9 +54,9 @@
  DXVK aims to provide support for D3D11, feature level 12_1, and
  D3D10, feature level 10_1.
  .
- This package contains the wine32-development build.
+ This package contains the wine32 build.
 
-Package: dxvk-wine64-development
+Package: dxvk-wine64
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Recommends: dxvk
@@ -69,5 +69,21 @@
  DXVK aims to provide support for D3D11, feature level 12_1, and
  D3D10, feature level 10_1.
  .
- This package contains the wine64-development build.
+ This package contains the wine64 build.
 
+Package: dxvk-wine32-development
+Depends: dxvk-wine32, ${misc:Depends}
+Architecture: i386 armel armhf
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: dxvk-wine64-development
+Depends: dxvk-wine64, ${misc:Depends}
+Architecture: amd64 arm64
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+

=== debian/rules ===
--- 
+++ 
@@ -44,10 +44,20 @@
 	ln -s /usr/include/vulkan include/vulkan/include/vulkan
 	ln -s /usr/include/vk_video include/vulkan/include/vk_video
 	ln -s /usr/include/spirv include/spirv/include/spirv
+
 	# DXVK 2.1 now embeds libdisplay-info
 	# TODO: use libdisplay-info-src instead when no need for the fork
 	#ln -s /usr/src/libdisplay-info-src subprojects/libdisplay-info
-	tar xf debian/vendor.xz
+	mkdir -p subprojects
+	rm -fr subprojects/libdisplay-info
+	ln -fns ../libdisplay-info subprojects/
+	test -f subprojects/libdisplay-info/displayid.c
+
+	# DXVK Native requires a subset of MinGW DirectX headers
+	mkdir -p include/native
+	rm -fr include/native/directx
+	ln -fns ../../mingw-directx-headers include/native/directx
+	test -f include/native/directx/d3d.h
 
 	echo "MESON_FLAGS: $(MESON_FLAGS)"
 	meson setup $(MESON_FLAGS)
@@ -68,14 +78,3 @@
 
 execute_after_dh_clean:
 	rm -rf include/vulkan include/spirv subprojects
-
-
-
-vendor:
-	rm -rf subprojects
-	mkdir subprojects/
-	git clone -b windows https://gitlab.freedesktop.org/JoshuaAshton/libdisplay-info.git subprojects/libdisplay-info
-	rm -rf subprojects/*/.git*
-	tar cvJf debian/vendor.xz subprojects
-	rm -rf subprojects
-

=== debian/tests/control ===
Tests: check-dxvk-setup
# cross-test-friendly autopkgtest deps
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1005883
Depends: dxvk,
         dxvk-wine64 [amd64],
         dxvk-wine32 [i386],
         wine,
         wine64 [amd64],
         wine32 [i386],
         xvfb,
         xauth
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+ds\d*$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dxvk-\$1\.tar\.gz/,\
oversionmangle=s/$/+ds/ \
  https://github.com/doitsujin/dxvk/tags .*/v?(\d\S*)\.tar\.gz

# Vendored fork of libdisplay-info, see .gitmodules.
# The URL that is given in .gitmodules redirects to here.
# DXVK v2.6 corresponds to commit 275e6459c7ab1ddd4b125f28d0440716e4888078
opts=\
component=libdisplay-info,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
oversionmangle=s/$/+ds/,\
pgpmode=none,\
pretty=libdisplay-info-git%cd.%h \
  https://gitlab.freedesktop.org/frog/libdisplay-info.git \
  heads/windows \
  ignore

# Vendored subset of of mingw-w64-common, see .gitmodules.
# The URL that is given in .gitmodules redirects to here.
# DXVK v2.6 corresponds to commit 9df86f2341616ef1888ae59919feaa6d4fad693d
opts=\
component=mingw-directx-headers,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
oversionmangle=s/$/+ds/,\
pgpmode=none,\
pretty=mingw-directx-headers-git%cd.%h \
  https://github.com/misyltoad/mingw-directx-headers \
  HEAD \
  ignore

## dxvk 2.6.2

=== debian/changelog ===
dxvk (2.6.2-1) experimental; urgency=medium

  * New upstream bugfix release (Closes: #1102319).

  [ Simon McVittie ]
  * Drop DXVK-native related patches that were applied upstream.

  [ Marc Dequènes (Duck) ]
  * Update symlinks installed by dxvk-setup:
    - remove but do not install anymore d3d10 and d3d10_1 DLLs (abandonned
      upstream in 2.0 but I missed it) (Closes: #1104544)
    - add d3d8 DLL (added in 2.5 but missed it too)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 26 Jun 2025 03:22:14 +0900

dxvk (2.6.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream bugfix release (Closes: #1102319)
  * d/rules: Build DXVK-Native.
    Previously, we would only build Windows DLLs using wine/mingw toolchains,
    on architectures that have a Windows equivalent.
    Now we also build native Linux shared objects using the native
    toolchain, on all architectures.
  * d/control: Build new binary packages for DXVK-Native (Closes: #1072114)
  * d/control: Skip Windows DLLs under <!nowindows> build-profile
  * d/rules: Only run Wine-based build steps if we are building those packages.
  * d/tests: Add a smoke-test for d3d9 and d3d11
  * d/watch: Stop appending +ds to the version number.
    If the first import of 2.6.1 has the vendored projects included, then
    we don't need a special suffix to distinguish it from an earlier import
    without them.
  * d/watch: Track the same fork of libdisplay-info as upstream.
    No functional changes, it's still the same commit.

  [ Marc Dequènes (Duck) ]
  * Remove leftover doc from libdxvk-native-dev.
  * Fix libdxvk-native-dev's section.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Extends timeout for reprotest CI test.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Apr 2025 13:05:58 +0900
